Result.Status (Apache Geode 2.0.2)
Description: declaration: package: org.apache.geode.management.cli, interface: Result, enum: Status

Package org.apache.geode.management.cli

# Enum Class Result.Status

java.lang.Object
java.lang.Enum<Result.Status>
org.apache.geode.management.cli.Result.Status

All Implemented Interfaces:
  `Serializable`, `Comparable<Result.Status>`, `Constable`

Enclosing interface:
  Result

public static enum Result.Status extends Enum<Result.Status>
Indicates a Results status.

Since:
  GemFire 7.0

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class java.lang.Enum

  `Enum.EnumDesc<E extends Enum<E>>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `ERROR`
  Indicates that an error occurred while processing the command.
  `OK`
  Indicates that the command completed successfully.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `int`
  `getCode()`
  Returns the code associated with this state.
  `static Result.Status`
  `valueOf(String name)`
  Returns the enum constant of this class with the specified name.
  `static Result.Status[]`
  `values()`
  Returns an array containing the constants of this enum class, in the order they are declared.

  ### Methods inherited from class java.lang.Enum

  `clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

  ### Methods inherited from class java.lang.Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### OK

    public static final Result.Status OK
    Indicates that the command completed successfully.

  - ### ERROR

    public static final Result.Status ERROR
    Indicates that an error occurred while processing the command.

- ## Method Details

  - ### values

    public static Result.Status[] values()
    Returns an array containing the constants of this enum class, in the order they are declared.
    Returns:
      an array containing the constants of this enum class, in the order they are declared

  - ### valueOf

    public static Result.Status valueOf(String name)
    Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum class has no constant with the specified name
      `NullPointerException` - if the argument is null

  - ### getCode

    public int getCode()
    Returns the code associated with this state.
    Returns:
      the code associated with this state